"use strict";

{
	C3.Plugins.ppstudiomty_kong_plugin.Exps =
	{
		GetUserName()
		{
			let user = window.kongregate["services"]["getUsername"]();
			return user || "";
		},
		
		GetAuthToken(){
			let token=window.kongregate["services"]["getGameAuthToken"]();
			return token || "";
		},
		
		GetUserId(){
			let id=window.kongregate["services"]["getUserId"]();
			return id || "";
		},
		
		GetAPIId(){
			return this.apiID || ""
		},
		
		GetResponseString(){
			return this.responseText||"";
		},

		GetAvatarURL(){
			if (this.responseReady){
				return (this.playerInfo["user_vars"]["avatar_url"]||"");
			}
			else
				return "";
		},
		
		GetPlayerLevel(){
			if (this.responseReady)
				return (this.playerInfo["user_vars"]["level"]||0);
			else
				return 0;
		},
		
		GetPlayerPoints(){
			if (this.responseReady)
				return (this.playerInfo["user_vars"]["points"]||0);
			else
				return (0);	
		}
	};
}