"use strict";

{
	C3.Plugins.ppstudiomty_kong_plugin.Instance = class SingleGlobalInstance extends C3.SDKInstanceBase
	{
		RequestFile(url,onComplete,onError){
				
				this._comm = new XMLHttpRequest();
				
				//console.log(XMLHttp.comm);
				this._comm.open("GET",url,true);
				this_.comm.onreadystatechange = function(){
					
					//console.log(this.readyState+" "+this.status);
					if (this.readyState==4 && this.status ==200){
						if (onComplete!=="undefined")
							onComplete(this.responseText);
					}
					else if (this.status!=200){
						if (onError)
							onError(this.status);
					}
				}
				this._comm.send();
		}
		
		constructor(inst, properties)
		{
			super(inst);
			
			this._XMLHttp = function(){};
			this._comm = {};
			this.kongAPI = ["kongregateAPI"];
			this.responseText = "";
			this.playerInfo = "";
			this.responseReady = false;
			
			if (properties)		// note properties may be null in some cases
			{
				this._testProperty = properties[0];
			}
			
			if (typeof this.kongAPI === "undefined"){
				console.log("Kongregate API NOT loaded");
				this.kongLoaded = false;
			}
			else{
				console.log("Kongregate API Found");
				console.log(this.kongAPI);
				this.kongLoaded = true;
			}
			
			var self=this;

			try{
				window["kongregateAPI"]["loadAPI"](function(){				
						window.kongregate = window["kongregateAPI"]["getAPI"]();//this.kongAPI["getAPI"]();
						self.Trigger(C3.Plugins.ppstudiomty_kong_plugin.Cnds.OnAPILoaded);

						// You can now access the Kongregate API with:
						// kongregate.services.getUsername(), etc
						// Proceed with loading your game...
					
					console.log("Callback function for loading API...");
					window.kongregate["services"]["addEventListener"]("login", 
						()=>{
							self.Trigger(C3.Plugins.ppstudiomty_kong_plugin.Cnds.OnLogin);
						}
					);
				});
			}
			catch(e){
					console.error(e);
			}
			
				
		}
		
		Release()
		{
			super.Release();
		}
		
		SaveToJson()
		{
			return {
				// data to be saved for savegames
			};
		}
		
		LoadFromJson(o)
		{
			// load state for savegames
		}
	};
}